Skip to main content
`Ctrl`+`K`

# MatPartitioningChacoSetLocal

Set the local method for the Chaco partitioner.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPartitioningChacoSetLocal(MatPartitioning part, MPChacoLocalType method)

Collective

## Input Parameters

- part - the partitioning context

- method - one of `MP_CHACO_KERNIGHAN` or `MP_CHACO_NONE`

## Options Database Key

- -mat_partitioning_chaco_local <method> - the local method

## Note

The default is to apply the Kernighan-Lin heuristic. See Chaco documentation for additional details.

## See Also

`MatPartitioningType`, `MATPARTITIONINGCHACO`, `MatPartitioningChacoSetGlobal()`, `MatPartitioningChacoGetLocal()`

## Level

advanced

## Location

src/mat/graphops/partition/impls/chaco/chaco.c

## Implementations

MatPartitioningChacoSetLocal_Chaco() in src/mat/graphops/partition/impls/chaco/chaco.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages